Alibaba

Alibaba Search Results Scraper

Scrape product listings, prices, and e-commerce data using the Alibaba Search Results Scraper API endpoint.

This endpoint scrapes product data from Alibaba's search results page using the provided search URL.

Note

Use the Sync Scraper API Server (https://sync.scraper.mrscraper.com) host when calling this endpoint.

POST
/api/commerce/alibaba/list/sync
AuthorizationBearer <token>

In: header

Request Body

application/json

url*string

Alibaba search results URL

Response Body

application/json

curl -X POST "https://api.app.mrscraper.com/api/commerce/alibaba/list/sync" \  -H "Content-Type: application/json" \  -d '{    "url": "https://www.alibaba.com/trade/search?spm=a2700.galleryofferlist.the-new-header_fy23_pc_search_bar.keydown__Enter&tab=all&SearchText=logitech+g29&has4Tab=true&from=pcHomeContent"  }'
{
  "success": true,
  "message": "Succesfully scraped",
  "data": {
    "offerList": {
      "bts": {
        "pc_similar_sse": "test",
        "p4p_search_contract_supplier_button": "base",
        "pc_pagination_refactor": "test",
        "certification_pc_ab_test": "test",
        "pc_new_compare_lp": "test",
        "pc_async_cdn": "test",
        "pc_sold_sort_by": "test",
        "pc_search_compare_bar": "test"
      },
      "pageCommonData": {
        "dir": "ltr",
        "locale": "en_US"
      },
      "pc_less_recommend": "",
      "snData": {
        "category": {
          "flag": "galleryFlat",
          "monolayerCategoryData": {
            "title": {
              "name": "Related Category"
            },
            "type": "Related Category",
            "values": []
          },
          "post": true
        },
        "configFilter": {
          "industryList": [],
          "itemList": []
        },
        "freeSample": {
          "freeSampleData": []
        },
        "halfTrustFreeShipping": {},
        "minOrder": {},
        "priceFilter": {},
        "productFeature": {
          "industryFeatrue": false,
          "productFeatureData": []
        },
        "reviewFilterResult": {},
        "selectedResult": {},
        "snCompanyAuthTagResult": {},
        "snDispatchResult": {},
        "snLocalStockResult": {},
        "snMergeResult": {},
        "snProductAuthTagResult": {},
        "snPromotion": {},
        "sortTypeData": {},
        "supplierLocation": {},
        "supplierType": {},
        "tagFilterResult": {}
      },
      "queryErrCorrectionData": {},
      "activeViewType": "G",
      "switchData": {},
      "hasWending": 0,
      "offerResultData": {
        "adCount": 2,
        "firstScreen": true,
        "forbiddenType": 0,
        "insertRfqForm": 0,
        "offers": [],
        "p4pCount": 2,
        "paginationData": {},
        "resultCount": "1,000+",
        "rtl": false,
        "totalCount": 1231
      },
      "keyword": "logitech g29",
      "requestData": {},
      "defaultSsrRenderCount": "4",
      "layoutI18nData": "{\"fy24_pc_search_layout.number\":\"Showing {resultCount} products from global suppliers for \\\"{queryWords}\\\"\",\"fy24_pc_search_layout.clear_all\":\"Clear all filters\",\"fy24_pc_search_layout.Gview\":\"Gallery view\\n\",\"fy24_pc_search_layout.filters\":\"Filters\",\"fy24_pc_search_layout.Lview\":\"List view\",\"fy24_pc_search_layout.filterta\":\"Protects your orders on Alibaba.com\"}"
    }
  }
}